Payments
Payments
curl -X GET "https://example.com/api/v1/admin/payment/channels"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/admin/payment/channels" \ -H "Content-Type: application/json" \ -d '{ "credentials": "string", "name": "string", "provider": "string" }'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Channel ID
Response Body
curl -X GET "https://example.com/api/v1/admin/payment/channels/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Channel ID
Response Body
curl -X DELETE "https://example.com/api/v1/admin/payment/channels/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Channel ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/api/v1/admin/payment/channels/string" \ -H "Content-Type: application/json" \ -d '{ "version": 0 }'Empty
curl -X GET "https://example.com/api/v1/admin/payment/orders"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Payment order ID
Response Body
curl -X GET "https://example.com/api/v1/admin/payment/orders/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Payment order ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/admin/payment/orders/string/refund" \ -H "Content-Type: application/json" \ -d '{ "amount": 0 }'Empty
curl -X GET "https://example.com/api/v1/admin/payment/refunds"Empty
curl -X GET "https://example.com/api/v1/admin/payment/transactions"Empty
Path Parameters
channel_id*string
Channel ID
Request Body
text/plain
TypeScript Definitions
Use the request body type in TypeScript.
body*string
Response Body
curl -X POST "https://example.com/api/v1/payment/callback/string" \ -H "Content-Type: text/plain" \ -d 'string'Empty
curl -X GET "https://example.com/api/v1/payment/channels/available"Empty
curl -X GET "https://example.com/api/v1/payment/orders"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/payment/orders" \ -H "Content-Type: application/json" \ -d '{ "order_id": "string" }'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Payment order ID
Response Body
curl -X GET "https://example.com/api/v1/payment/orders/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Payment order ID
Response Body
curl -X POST "https://example.com/api/v1/payment/orders/string/cancel"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Payment order ID
Response Body
curl -X GET "https://example.com/api/v1/payment/orders/string/refunds"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Payment order ID
Response Body
curl -X GET "https://example.com/api/v1/payment/orders/string/transactions"Empty
